%INITFIG  initialise qqes caractristiques d'un dessin

%+
% module
% ======
%
% ``initfig``
%
% DESCRIPTION
% ===========
%
% ++
%
% ``initfig`` initialise qqes caractristiques d'un dessin :
%   - la taille A4
%
% EXAMPLES
% ========
%
% ::
%
% >> tpacpandreg_startup
% >> initfig
%
% SEE ALSO
% ========
%
% tpacpandreg_startup.m_
%
% .. _tpacpandreg_startup.m : tpacpandreg_startup.m.html
%
% TODO
% ====
%
% improve description
%
% check in octave next releases ( > 3.0.2) new feature
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% - fplod 2009-08-25T16:41:34Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%  * ajout pour octave 3.2 (uniquement sous 
%    /usr/local_linux/octave/64/3.2.2/bin/octave donc dedale)
%
% - fplod 2009-08-17T12:39:51Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * add header
%   * add octave warning
%
%-
%
if (run_octave == 0)
 set(gcf,'Units','normalized');
 set(gcf,'position',[0.1 0.08,0.5,0.8])
 set(gcf,'PaperType', 'a4letter');
 set(gcf,'PaperUnits','normalized');
 set(gcf,'PaperPosition',[0,0,1,1]);
else
 switch OCTAVE_VERSION
  case {'3.0.2'}
   warning('www : octave 3.0.2 can not initialise Units, position, PaperType PaperUnits PaperPosition');
  case {'3.2.2'}
   set(gcf,'Units','normalized');
   set(gcf,'position',[0.1 0.08,0.5,0.8])
   set(gcf,'PaperType', 'a4');
   set(gcf,'PaperUnits','normalized');
   set(gcf,'PaperPosition',[0,0,1,1]);
  otherwise
   warning('www : do no know about octave initialise Units, position, PaperType PaperUnits PaperPosition');
  end
end

